
/* Copyright (c) 2008, Stefan Eilemann <eile@equalizergraphics.com> 
   All rights reserved. */

#ifndef EQBASE_INIT_H
#define EQBASE_INIT_H

#include <eq/base/base.h>

namespace eq
{
/**
 * @brief Equalizer base OS abstraction layer.
 */
namespace base
{
    /** 
     * Initializes the Equalizer base classes.
     * 
     * @return <code>true</code> if the library was successfully initialised,
     *         <code>false</code> otherwise.
     */
    EQ_EXPORT bool init();

    /**
     * De-initializes the Equalizer base classes.
     *
     * @return <code>true</code> if the library was successfully de-initialised,
     *         <code>false</code> otherwise.
     */
    EQ_EXPORT bool exit();
}
}
#endif // EQBASE_INIT_H

